Crypto News
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/news \
--header 'x-cg-pro-api-key: <api-key>'[
{
"title": "European Union debates limits on Big Tech access to cloud tenders",
"url": "https://cryptobriefing.com/eu-big-tech-cloud-tender-limits/",
"image": "https://assets.coingecko.com/articles/images/107301317/large/open-uri20260527-7-l3llje.?1779877857",
"author": "Editorial Team",
"posted_at": "2026-05-27T10:27:57Z",
"type": "news",
"source_name": "Crypto Briefing",
"related_coin_ids": [
"could",
"union-2"
]
},
{
"title": "Implied Volatility and IV Crush in Bitcoin Options Explained",
"url": "https://www.coingecko.com/learn/implied-volatility-iv-crush-bitcoin-options",
"image": "https://coin-images.coingecko.com/posts/images/102135679/large/Implied_Volatility_Options.png?1779696471",
"author": "Hans Be",
"posted_at": "2026-05-25T13:08:37Z",
"type": "guide",
"source_name": "CoinGecko",
"related_coin_ids": [
"bitcoin",
"ethereum"
]
}
]News & Insights
Crypto News
To query the latest crypto news and guides on CoinGecko
GET
/
news
Crypto News
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/news \
--header 'x-cg-pro-api-key: <api-key>'[
{
"title": "European Union debates limits on Big Tech access to cloud tenders",
"url": "https://cryptobriefing.com/eu-big-tech-cloud-tender-limits/",
"image": "https://assets.coingecko.com/articles/images/107301317/large/open-uri20260527-7-l3llje.?1779877857",
"author": "Editorial Team",
"posted_at": "2026-05-27T10:27:57Z",
"type": "news",
"source_name": "Crypto Briefing",
"related_coin_ids": [
"could",
"union-2"
]
},
{
"title": "Implied Volatility and IV Crush in Bitcoin Options Explained",
"url": "https://www.coingecko.com/learn/implied-volatility-iv-crush-bitcoin-options",
"image": "https://coin-images.coingecko.com/posts/images/102135679/large/Implied_Volatility_Options.png?1779696471",
"author": "Hans Be",
"posted_at": "2026-05-25T13:08:37Z",
"type": "guide",
"source_name": "CoinGecko",
"related_coin_ids": [
"bitcoin",
"ethereum"
]
}
]Notes
- Without
coin_id, returns all latest news as seen on CoinGecko News (news only, no guides). - With
coin_id, returns both news and guides by default (type=all). Usetypeto filter by news or guides only. - Pagination:
pagesupports up to 20,per_pageup to 20 — maximum 400 articles total.
SDK Examples
const response = await client.news.get();
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Page through results. Default value: 1 Valid values: 1...20
Total results per page. Default value: 10 Valid values: 1...20
Filter news by coin ID.
*refers to /coins/list.
Filter news by language.
Default: en
Available options:
en, ru, de, pl, es, vi, fr, pt-br, ar, bg, cs, da, el, fi, he, hi, hr, hu, id, it, ja, ko, lt, nl, no, ro, sk, sl, sv, th, tr, uk, zh, zh-tw Filter news by type.
Default: all
Note: guides filter is only applicable if coin_id is specified and valid.
Available options:
all, news, guides Response
200 - application/json
List of latest crypto news
News article title
News article URL
News article image URL
News article author
News article published timestamp in ISO 8601 format
News article type
Available options:
news, guide News article source name
Related coin IDs
Was this page helpful?
⌘I

